Name:           gtk-aurora-engine
Version:        1.4
Release:        1%{?dist}
Summary:        Aurora GTK engine

Group:          System Environment/Libraries
License:        GPLv2
URL:            http://gnome-look.org/content/show.php?content=56438
Source0:        http://www.gnome-look.org/CONTENT/content-files/56438-Aurora-1.4.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel
Requires:       gtk2

%description
Aurora is a gtk2 theme engine


%prep
%setup -q -c %{name}-%{version} -a 0
tar xzf aurora-%{version}.tar.gz
tar xjf gtkrc_themes.tar.bz2


%build
pushd aurora-%{version}
%configure --enable-animation
make %{?_smp_mflags}
popd


%install
rm -rf $RPM_BUILD_ROOT

# engine
pushd aurora-%{version}
make install DESTDIR=$RPM_BUILD_ROOT
popd

# themes
mkdir -p $RPM_BUILD_ROOT%{_datadir}/themes
cp -R Aurora Aurora-Midnight Aurora-looks $RPM_BUILD_ROOT%{_datadir}/themes


#remove .la files
find $RPM_BUILD_ROOT -name *.la | xargs rm -f || true


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc aurora-%{version}/AUTHORS aurora-%{version}/COPYING
%{_libdir}/gtk-2.0/*
%attr(755, root, root) %{_datadir}/themes/*
%attr(644, root, root) %{_datadir}/themes/Aurora-Midnight/gtk-2.0/gtkrc
%attr(644, root, root) %{_datadir}/themes/Aurora/gtk-2.0/gtkrc
%attr(644, root, root) %{_datadir}/themes/Aurora-looks/gtk-2.0/gtkrc


%changelog
* Thu Oct 23 2008 Tuomas Mursu <tuomas.mursu@kapsi.fi> 1.4-1
- Initial RPM release
